#load enviroment variable
from config.site import SiteConfig
from sentence_transformers import SentenceTransformer
config = SiteConfig()

class EmbedHelper:
    def __init__(self):
        self.embedding_model_name = config.get_config("EMBEDDING_MODEL")
        self.embedding_model = SentenceTransformer(model_name_or_path=self.embedding_model_name) 
    def embed_text(self, text):
        return self.embedding_model.encode(text).tolist()